export interface WorkGroupData {
  displayName: string;
  name: string;
  description: string;
}

export const randomInteger = (min: number, max: number): number => {
  expect(min).to.eq(Math.ceil(min));
  expect(max).to.eq(Math.ceil(max));
  expect(min).to.be.lessThan(max);
  return Math.round(Math.random() * (max - min)) + min;
};

export const randomChoice = <T>(options: T[]): T => options[randomInteger(0, options.length - 1)];

export const randomDisplayName = (): string => randomChoice([
  'Cardinals',
  'Falcons',
  'Ravens',
  'Bills',
  'Panthers',
  'Bengals',
  'Bears',
  'Browns',
  'Cowboys',
  'Broncos',
  'Lions',
  'Packers',
  'Texans',
  'Colts',
  'Jaquars',
  'Chiefts',
  'Dolphins',
]);

export const randomString = (length: number): string => {
  const alphabet = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
  return [...Array(length)].map(() => alphabet.charAt(Math.floor(Math.random() * alphabet.length))).join('');
};

export const randomGroupData = (): WorkGroupData => ({
  displayName: randomDisplayName(),
  name: randomString(15),
  description: randomString(15),
});
